
/** @jsx React.DOM */
/** This page is automatically generated by genapi.py, do not edit! */

/*
 *  Copyright (c) 2014, Facebook, Inc.
 *  All rights reserved.
 *
 *  This source code is licensed under the BSD-style license found in the
 *  LICENSE file in the root directory of this source tree. An additional grant 
 *  of patent rights can be found in the PATENTS file in the same directory.
 *
 */

'use strict';

var API = [
 {
  "key": "x",
  "name": "All Platforms",
  "tables": [
   {
    "blacklisted": false,
    "columns": [
     {"description": "","name": "address","type": "TEXT"},
     {"description": "","name": "mac","type": "TEXT"},
     {"description": "","name": "interface","type": "TEXT"},
     {"description": "1 for true, 0 for false","name": "permanent","type": "TEXT"}
    ],
    "description": "",
    "foreign_keys": [],
    "function": "genArpCache",
    "name": "arp_cache",
    "profile": {}
   },
   {
    "blacklisted": false,
    "columns": [
     {"description": "","name": "username","type": "TEXT"},
     {"description": "","name": "command","type": "TEXT"},
     {"description": "Path to the .bash_history for this user","name": "history_file","type": "TEXT"}
    ],
    "description": "A line-delimited (command) table of per-user .bash_history data.",
    "foreign_keys": [
     {"column": "username","table": "users"}
    ],
    "function": "genBashHistory",
    "name": "bash_history",
    "profile": {}
   },
   {
    "blacklisted": false,
    "columns": [
     {"description": "","name": "feature","type": "TEXT"},
     {"description": "Bit value or string","name": "value","type": "TEXT"},
     {"description": "Register used to for feature value","name": "output_register","type": "TEXT"},
     {"description": "Bit in register value for feature value","name": "output_bit","type": "INTEGER"},
     {"description": "Value of EAX used","name": "input_eax","type": "TEXT"}
    ],
    "description": "Useful CPU features from the cpuid ASM call.",
    "foreign_keys": [],
    "function": "genCPUID",
    "name": "cpuid",
    "profile": {}
   },
   {
    "blacklisted": false,
    "columns": [
     {"description": "The job @event name (rare)","name": "event","type": "TEXT"},
     {"description": "","name": "minute","type": "TEXT"},
     {"description": "","name": "hour","type": "TEXT"},
     {"description": "","name": "day_of_month","type": "TEXT"},
     {"description": "","name": "month","type": "TEXT"},
     {"description": "","name": "day_of_week","type": "TEXT"},
     {"description": "Raw command string","name": "command","type": "TEXT"},
     {"description": "File parsed","name": "path","type": "TEXT"}
    ],
    "description": "Line parsed values from system and user cron/tab.",
    "foreign_keys": [],
    "function": "genCronTab",
    "name": "crontab",
    "profile": {}
   },
   {
    "blacklisted": false,
    "columns": [
     {"description": "","name": "address","type": "TEXT"},
     {"description": "Raw hosts mapping","name": "hostnames","type": "TEXT"}
    ],
    "description": "Line-parsed /etc/hosts.",
    "foreign_keys": [],
    "function": "genEtcHosts",
    "name": "etc_hosts",
    "profile": {}
   },
   {
    "blacklisted": false,
    "columns": [
     {"description": "","name": "gid","type": "BIGINT"},
     {"description": "","name": "groupname","type": "TEXT"}
    ],
    "description": "",
    "foreign_keys": [],
    "function": "genGroups",
    "name": "groups",
    "profile": {}
   },
   {
    "blacklisted": false,
    "columns": [
     {"description": "","name": "username","type": "TEXT"},
     {"description": "","name": "tty","type": "TEXT"},
     {"description": "","name": "pid","type": "INTEGER"},
     {"description": "","name": "type","type": "INTEGER"},
     {"description": "","name": "time","type": "INTEGER"},
     {"description": "","name": "host","type": "TEXT"}
    ],
    "description": "",
    "foreign_keys": [],
    "function": "genLastAccess",
    "name": "last",
    "profile": {}
   },
   {
    "blacklisted": false,
    "columns": [
     {"description": "","name": "device","type": "TEXT"},
     {"description": "","name": "device_alias","type": "TEXT"},
     {"description": "","name": "path","type": "TEXT"},
     {"description": "","name": "type","type": "TEXT"},
     {"description": "","name": "blocks_size","type": "BIGINT"},
     {"description": "","name": "blocks","type": "BIGINT"},
     {"description": "","name": "blocks_free","type": "BIGINT"},
     {"description": "","name": "blocks_available","type": "BIGINT"},
     {"description": "","name": "inodes","type": "BIGINT"},
     {"description": "","name": "inodes_free","type": "BIGINT"},
     {"description": "","name": "flags","type": "TEXT"}
    ],
    "description": "",
    "foreign_keys": [],
    "function": "genMounts",
    "name": "mounts",
    "profile": {}
   },
   {
    "blacklisted": false,
    "columns": [
     {"description": "The path changed","name": "target_path","type": "TEXT"},
     {"description": "","name": "time","type": "TEXT"},
     {"description": "Change action (UPDATE, REMOVE, etc)","name": "action","type": "TEXT"},
     {"description": "ID used during bulk update","name": "transaction_id","type": "BIGINT"}
    ],
    "description": "Mostly an example use of events.",
    "foreign_keys": [],
    "function": "genTable",
    "name": "passwd_changes",
    "profile": {}
   },
   {
    "blacklisted": false,
    "columns": [
     {"description": "","name": "pid","type": "INTEGER"},
     {"description": "Process name","name": "name","type": "TEXT"},
     {"description": "Process path","name": "path","type": "TEXT"},
     {"description": "Environment variable name","name": "key","type": "TEXT"},
     {"description": "Environment variable value","name": "value","type": "TEXT"}
    ],
    "description": "A key/value table of environment variables for each process.",
    "foreign_keys": [
     {"column": "pid","table": "processes"},
     {"column": "pid","table": "process_open_files"}
    ],
    "function": "genProcessEnvs",
    "name": "process_envs",
    "profile": {}
   },
   {
    "blacklisted": false,
    "columns": [
     {"description": "","name": "pid","type": "INTEGER"},
     {"description": "","name": "name","type": "TEXT"},
     {"description": "","name": "path","type": "TEXT"},
     {"description": "","name": "file_type","type": "TEXT"},
     {"description": "","name": "local_path","type": "TEXT"},
     {"description": "","name": "local_host","type": "TEXT"},
     {"description": "","name": "local_port","type": "TEXT"},
     {"description": "","name": "remote_host","type": "TEXT"},
     {"description": "","name": "remote_port","type": "TEXT"}
    ],
    "description": "",
    "foreign_keys": [],
    "function": "genProcessOpenFiles",
    "name": "process_open_files",
    "profile": {}
   },
   {
    "blacklisted": false,
    "columns": [
     {"description": "","name": "name","type": "TEXT"},
     {"description": "","name": "path","type": "TEXT"},
     {"description": "","name": "cmdline","type": "TEXT"},
     {"description": "","name": "pid","type": "INTEGER"},
     {"description": "","name": "uid","type": "BIGINT"},
     {"description": "","name": "gid","type": "BIGINT"},
     {"description": "","name": "euid","type": "BIGINT"},
     {"description": "","name": "egid","type": "BIGINT"},
     {"description": "","name": "on_disk","type": "TEXT"},
     {"description": "","name": "wired_size","type": "TEXT"},
     {"description": "","name": "resident_size","type": "TEXT"},
     {"description": "","name": "phys_footprint","type": "TEXT"},
     {"description": "","name": "user_time","type": "TEXT"},
     {"description": "","name": "system_time","type": "TEXT"},
     {"description": "","name": "start_time","type": "TEXT"},
     {"description": "","name": "parent","type": "INTEGER"}
    ],
    "description": "",
    "foreign_keys": [],
    "function": "genProcesses",
    "name": "processes",
    "profile": {}
   },
   {
    "blacklisted": false,
    "columns": [
     {"description": "","name": "destination","type": "TEXT"},
     {"description": "","name": "netmask","type": "TEXT"},
     {"description": "","name": "gateway","type": "TEXT"},
     {"description": "","name": "source","type": "TEXT"},
     {"description": "","name": "flags","type": "INTEGER"},
     {"description": "","name": "interface","type": "TEXT"},
     {"description": "","name": "mtu","type": "INTEGER"},
     {"description": "","name": "metric","type": "INTEGER"},
     {"description": "","name": "type","type": "TEXT"}
    ],
    "description": "",
    "foreign_keys": [],
    "function": "genRoutes",
    "name": "routes",
    "profile": {}
   },
   {
    "blacklisted": true,
    "columns": [
     {"description": "","name": "path","type": "TEXT"},
     {"description": "","name": "username","type": "TEXT"},
     {"description": "","name": "groupname","type": "TEXT"},
     {"description": "","name": "permissions","type": "TEXT"}
    ],
    "description": "",
    "foreign_keys": [],
    "function": "genSuidBin",
    "name": "suid_bin",
    "profile": {}
   },
   {
    "blacklisted": false,
    "columns": [
     {"description": "","name": "hour","type": "INTEGER"},
     {"description": "","name": "minutes","type": "INTEGER"},
     {"description": "","name": "seconds","type": "INTEGER"}
    ],
    "description": "",
    "foreign_keys": [],
    "function": "genTime",
    "name": "time",
    "profile": {}
   },
   {
    "blacklisted": false,
    "columns": [
     {"description": "","name": "uid","type": "BIGINT"},
     {"description": "","name": "gid","type": "BIGINT"},
     {"description": "","name": "username","type": "TEXT"},
     {"description": "","name": "description","type": "TEXT"},
     {"description": "","name": "directory","type": "TEXT"},
     {"description": "","name": "shell","type": "TEXT"}
    ],
    "description": "",
    "foreign_keys": [],
    "function": "genUsers",
    "name": "users",
    "profile": {}
   }
  ]
 },
 {
  "key": "darwin",
  "name": "Darwin (Apple OS X)",
  "tables": [
   {
    "blacklisted": false,
    "columns": [
     {"description": "","name": "allow_signed_enabled","type": "INTEGER"},
     {"description": "","name": "firewall_unload","type": "INTEGER"},
     {"description": "","name": "global_state","type": "INTEGER"},
     {"description": "","name": "logging_enabled","type": "INTEGER"},
     {"description": "","name": "logging_option","type": "INTEGER"},
     {"description": "","name": "stealth_enabled","type": "INTEGER"},
     {"description": "","name": "version","type": "TEXT"}
    ],
    "description": "",
    "foreign_keys": [],
    "function": "genALF",
    "name": "alf",
    "profile": {}
   },
   {
    "blacklisted": false,
    "columns": [
     {"description": "","name": "path","type": "TEXT"},
     {"description": "","name": "state","type": "INTEGER"}
    ],
    "description": "",
    "foreign_keys": [],
    "function": "genALFExceptions",
    "name": "alf_exceptions",
    "profile": {}
   },
   {
    "blacklisted": false,
    "columns": [
     {"description": "","name": "process","type": "TEXT"}
    ],
    "description": "",
    "foreign_keys": [],
    "function": "genALFExplicitAuths",
    "name": "alf_explicit_auths",
    "profile": {}
   },
   {
    "blacklisted": false,
    "columns": [
     {"description": "","name": "service","type": "TEXT"},
     {"description": "","name": "process","type": "TEXT"},
     {"description": "","name": "state","type": "INTEGER"}
    ],
    "description": "",
    "foreign_keys": [],
    "function": "genALFServices",
    "name": "alf_services",
    "profile": {}
   },
   {
    "blacklisted": false,
    "columns": [
     {"description": "","name": "name","type": "TEXT"},
     {"description": "","name": "path","type": "TEXT"},
     {"description": "","name": "bundle_executable","type": "TEXT"},
     {"description": "","name": "bundle_identifier","type": "TEXT"},
     {"description": "","name": "bundle_name","type": "TEXT"},
     {"description": "","name": "bundle_short_version","type": "TEXT"},
     {"description": "","name": "bundle_version","type": "TEXT"},
     {"description": "","name": "bundle_package_type","type": "TEXT"},
     {"description": "","name": "compiler","type": "TEXT"},
     {"description": "","name": "development_region","type": "TEXT"},
     {"description": "","name": "display_name","type": "TEXT"},
     {"description": "","name": "info_string","type": "TEXT"},
     {"description": "","name": "minimum_system_version","type": "TEXT"},
     {"description": "","name": "category","type": "TEXT"},
     {"description": "","name": "applescript_enabled","type": "TEXT"},
     {"description": "","name": "copyright","type": "TEXT"}
    ],
    "description": "",
    "foreign_keys": [],
    "function": "genApps",
    "name": "apps",
    "profile": {}
   },
   {
    "blacklisted": false,
    "columns": [
     {"description": "","name": "common_name","type": "TEXT"},
     {"description": "","name": "not_valid_before","type": "TEXT"},
     {"description": "","name": "not_valid_after","type": "TEXT"},
     {"description": "","name": "key_algorithm","type": "TEXT"},
     {"description": "","name": "key_usage","type": "TEXT"},
     {"description": "","name": "subject_key_id","type": "TEXT"},
     {"description": "","name": "authority_key_id","type": "TEXT"},
     {"description": "","name": "sha1","type": "TEXT"}
    ],
    "description": "",
    "foreign_keys": [],
    "function": "genCerts",
    "name": "ca_certs",
    "profile": {}
   },
   {
    "blacklisted": false,
    "columns": [
     {"description": "","name": "name","type": "TEXT"},
     {"description": "","name": "path","type": "TEXT"},
     {"description": "","name": "version","type": "TEXT"}
    ],
    "description": "",
    "foreign_keys": [],
    "function": "genHomebrewPackages",
    "name": "homebrew_packages",
    "profile": {}
   },
   {
    "blacklisted": false,
    "columns": [
     {"description": "","name": "interface","type": "TEXT"},
     {"description": "","name": "address","type": "TEXT"},
     {"description": "","name": "mask","type": "TEXT"},
     {"description": "","name": "broadcast","type": "TEXT"},
     {"description": "","name": "point_to_point","type": "TEXT"}
    ],
    "description": "",
    "foreign_keys": [],
    "function": "genInterfaceAddresses",
    "name": "interface_addresses",
    "profile": {}
   },
   {
    "blacklisted": false,
    "columns": [
     {"description": "","name": "interface","type": "TEXT"},
     {"description": "","name": "mac","type": "TEXT"},
     {"description": "","name": "type","type": "INTEGER"},
     {"description": "","name": "mtu","type": "INTEGER"},
     {"description": "","name": "metric","type": "INTEGER"},
     {"description": "","name": "ipackets","type": "BIGINT"},
     {"description": "","name": "opackets","type": "BIGINT"},
     {"description": "","name": "ibytes","type": "BIGINT"},
     {"description": "","name": "obytes","type": "BIGINT"},
     {"description": "","name": "ierrors","type": "BIGINT"},
     {"description": "","name": "oerrors","type": "BIGINT"},
     {"description": "","name": "last_change","type": "BIGINT"}
    ],
    "description": "",
    "foreign_keys": [],
    "function": "genInterfaceDetails",
    "name": "interface_details",
    "profile": {}
   },
   {
    "blacklisted": false,
    "columns": [
     {"description": "","name": "idx","type": "INTEGER"},
     {"description": "","name": "refs","type": "INTEGER"},
     {"description": "","name": "size","type": "TEXT"},
     {"description": "","name": "wired","type": "TEXT"},
     {"description": "","name": "name","type": "TEXT"},
     {"description": "","name": "version","type": "TEXT"},
     {"description": "","name": "linked_against","type": "TEXT"}
    ],
    "description": "",
    "foreign_keys": [],
    "function": "genKextstat",
    "name": "kextstat",
    "profile": {}
   },
   {
    "blacklisted": false,
    "columns": [
     {"description": "","name": "path","type": "TEXT"},
     {"description": "","name": "name","type": "TEXT"},
     {"description": "","name": "label","type": "TEXT"},
     {"description": "","name": "run_at_load","type": "TEXT"},
     {"description": "","name": "keep_alive","type": "TEXT"},
     {"description": "","name": "on_demand","type": "TEXT"},
     {"description": "","name": "disabled","type": "TEXT"},
     {"description": "","name": "username","type": "TEXT"},
     {"description": "","name": "groupname","type": "TEXT"},
     {"description": "","name": "stdout_path","type": "TEXT"},
     {"description": "","name": "stderr_path","type": "TEXT"},
     {"description": "","name": "start_interval","type": "TEXT"},
     {"description": "","name": "program_arguments","type": "TEXT"},
     {"description": "","name": "program","type": "TEXT"},
     {"description": "","name": "watch_paths","type": "TEXT"},
     {"description": "","name": "queue_directories","type": "TEXT"},
     {"description": "","name": "inetd_compatibility","type": "TEXT"},
     {"description": "","name": "start_on_mount","type": "TEXT"},
     {"description": "","name": "root_directory","type": "TEXT"},
     {"description": "","name": "working_directory","type": "TEXT"},
     {"description": "","name": "process_type","type": "TEXT"}
    ],
    "description": "",
    "foreign_keys": [],
    "function": "genLaunchd",
    "name": "launchd",
    "profile": {}
   },
   {
    "blacklisted": false,
    "columns": [
     {"description": "","name": "pid","type": "INTEGER"},
     {"description": "","name": "port","type": "INTEGER"},
     {"description": "","name": "protocol","type": "INTEGER"},
     {"description": "","name": "family","type": "INTEGER"},
     {"description": "","name": "address","type": "TEXT"}
    ],
    "description": "",
    "foreign_keys": [],
    "function": "genListeningPorts",
    "name": "listening_ports",
    "profile": {}
   },
   {
    "blacklisted": false,
    "columns": [
     {"description": "","name": "name","type": "TEXT"},
     {"description": "","name": "type","type": "TEXT"},
     {"description": "","name": "value","type": "TEXT"}
    ],
    "description": "",
    "foreign_keys": [],
    "function": "genNVRAM",
    "name": "nvram",
    "profile": {}
   },
   {
    "blacklisted": false,
    "columns": [
     {"description": "","name": "major","type": "INTEGER"},
     {"description": "","name": "minor","type": "INTEGER"},
     {"description": "","name": "patch","type": "INTEGER"}
    ],
    "description": "",
    "foreign_keys": [],
    "function": "genOSXVersion",
    "name": "osx_version",
    "profile": {}
   },
   {
    "blacklisted": true,
    "columns": [
     {"description": "","name": "path","type": "TEXT"},
     {"description": "","name": "creator","type": "TEXT"}
    ],
    "description": "",
    "foreign_keys": [],
    "function": "genQuarantine",
    "name": "quarantine",
    "profile": {}
   },
   {
    "blacklisted": false,
    "columns": [
     {"description": "","name": "name","type": "TEXT"},
     {"description": "","name": "path","type": "TEXT"}
    ],
    "description": "",
    "foreign_keys": [],
    "function": "genStartupItems",
    "name": "startup_items",
    "profile": {}
   }
  ]
 },
 {
  "key": "linux",
  "name": "Ubuntu, CentOS",
  "tables": [
   {
    "blacklisted": false,
    "columns": [
     {"description": "","name": "name","type": "TEXT"},
     {"description": "","name": "parent","type": "TEXT"},
     {"description": "","name": "vendor","type": "TEXT"},
     {"description": "","name": "model","type": "TEXT"},
     {"description": "","name": "size","type": "BIGINT"},
     {"description": "","name": "uuid","type": "TEXT"},
     {"description": "","name": "type","type": "TEXT"},
     {"description": "","name": "label","type": "TEXT"}
    ],
    "description": "",
    "foreign_keys": [],
    "function": "genBlockDevs",
    "name": "block_devices",
    "profile": {}
   },
   {
    "blacklisted": false,
    "columns": [
     {"description": "","name": "name","type": "TEXT"},
     {"description": "","name": "size","type": "TEXT"},
     {"description": "","name": "used_by","type": "TEXT"},
     {"description": "","name": "status","type": "TEXT"},
     {"description": "","name": "address","type": "TEXT"}
    ],
    "description": "",
    "foreign_keys": [],
    "function": "genKernelModules",
    "name": "kernel_modules",
    "profile": {}
   },
   {
    "blacklisted": false,
    "columns": [
     {"description": "","name": "slot","type": "TEXT"},
     {"description": "","name": "device_class","type": "TEXT"},
     {"description": "","name": "vendor","type": "TEXT"},
     {"description": "","name": "model","type": "TEXT"}
    ],
    "description": "",
    "foreign_keys": [],
    "function": "genLspci",
    "name": "pci_devices",
    "profile": {}
   },
   {
    "blacklisted": true,
    "columns": [
     {"description": "","name": "local_port","type": "TEXT"},
     {"description": "","name": "remote_port","type": "TEXT"},
     {"description": "","name": "local_ip","type": "TEXT"},
     {"description": "","name": "remote_ip","type": "TEXT"},
     {"description": "","name": "inode","type": "TEXT"}
    ],
    "description": "",
    "foreign_keys": [],
    "function": "genPortInode",
    "name": "port_inode",
    "profile": {}
   },
   {
    "blacklisted": false,
    "columns": [
     {"description": "","name": "name","type": "TEXT"},
     {"description": "","name": "version","type": "TEXT"},
     {"description": "","name": "release","type": "TEXT"},
     {"description": "","name": "source","type": "TEXT"},
     {"description": "","name": "size","type": "BIGINT"},
     {"description": "","name": "sha1","type": "TEXT"},
     {"description": "","name": "arch","type": "TEXT"}
    ],
    "description": "",
    "foreign_keys": [],
    "function": "genRpms",
    "name": "rpm_packages",
    "profile": {}
   },
   {
    "blacklisted": true,
    "columns": [
     {"description": "","name": "pid","type": "TEXT"},
     {"description": "","name": "inode","type": "TEXT"}
    ],
    "description": "",
    "foreign_keys": [],
    "function": "genSocketInode",
    "name": "socket_inode",
    "profile": {}
   }
  ]
 }
];

module.exports = API;


